/** CLEAR ALL THE TAGS IN A MESSAGE BASE */

load('ansitex/load/msgbases.js');

if (argv.length !== 1) {
	writeln('ERROR: Need a msgbase page prefix');
	exit(1);

} else {
	writeln('Showing frames in:'+argv[0]);
}

var ma = new MsgAreas();
var area = ma.getArea(argv[0]);

writeln('Opening ['+argv[0]+'] - ('+area.code+')');

var msgbase = area.msgbase;
msgbase.open();
writeln('- First:'+msgbase.first_msg);
writeln('- Last:'+msgbase.last_msg);

var msgs = msgbase.get_all_msg_headers(false,false) || [];

for (var x in msgs) {
	if (! msgs[x].tags)
		continue;

	writeln('TAG was:'+msgs[x].tags);

	msgs[x].tags = '';

	if (! msgbase.put_msg_header(msgs[x].number,msgs[x]))
		writeln('ERROR:'+msgbase.error);
}

msgbase.close();
